Name:		q
Version:	5.3
Release: 	alt3

Summary:	Q eQuational Programming System
License:	GPL
Group:		Development/Other
Url:		http://q-lang.sourceforge.net
Packager:	Alexey Voinov <voins@altlinux.ru>

Requires:	libq = %version-%release

Source0:	%name-%version.tar.bz2


# Automatically added by buildreq on Tue Feb 10 2004
BuildRequires: XFree86-devel-static XFree86-libs flex freetype2-devel gcc-c++ glibc-devel-static libImageMagick-devel libcurl-devel libgdbm-devel libggi-devel libgii-devel libgmp-devel libncurses-devel libstdc++-devel libtinfo-devel tcl-devel tk-devel zlib-devel


%description
Q is a powerful and extensible scripting language based on term rewriting
which offers advanced symbolic processing and functional programming
capabilities.

%package doc
Summary:	Q eQuational Programming System documentation
Group:		Development/Other

%description doc
Documentation for Q language.

Q is a powerful and extensible scripting language based on term rewriting
which offers advanced symbolic processing and functional programming
capabilities.

%package -n libq
Summary:	Q eQuational Programming System library
Group:		Development/Other

%description -n libq
Shared library with interpreter for Q language

Q is a powerful and extensible scripting language based on term rewriting
which offers advanced symbolic processing and functional programming
capabilities.

%package -n libq-devel
Summary:	Q eQuational Programming System development files
Group:		Development/Other
Requires:	libq = %version-%release

%description -n libq-devel
Files needed for development with Q interpreter

Q is a powerful and extensible scripting language based on term rewriting
which offers advanced symbolic processing and functional programming
capabilities.

%package -n libq-devel-static
Summary:	Q eQuational Programming System static development libs
Group:		Development/Other
Requires:	libq-devel = %version-%release

%description -n libq-devel-static
Static library with interpreter for Q langauge

Q is a powerful and extensible scripting language based on term rewriting
which offers advanced symbolic processing and functional programming
capabilities.

%prep
%setup -q

%build
libtoolize --force --copy
aclocal
automake
autoconf
%configure --without-magick --without-odbc
%make_build

%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_docdir/%name-%version
mv $RPM_BUILD_ROOT/%_datadir/%name/examples \
	$RPM_BUILD_ROOT/%_docdir/%name-%version
mv $RPM_BUILD_ROOT/%_datadir/%name/etc/* \
	$RPM_BUILD_ROOT/%_docdir/%name-%version
rmdir $RPM_BUILD_ROOT/%_datadir/%name/etc

%files
%_bindir/q
%_bindir/qc
%_man1dir/*

%files doc
%_infodir/*.info*
%doc %_docdir/%name-%version/

%files -n libq
%_libdir/*.so.*
%_libdir/%name/*
%_datadir/%name/lib/*

%files -n libq-devel
%_bindir/qcc
%_bindir/qld
%_includedir/*
%_libdir/*.so

%files -n libq-devel-static
%_libdir/*.a
%_libdir/%name/*.a

%post doc
%install_info qdoc.info

%pre doc
%uninstall_info qdoc.info

%changelog
* Fri May 14 2004 Alexey Voinov <voins@altlinux.ru> 5.3-alt3
- fix descriptions of subpackages.
- fix deps for libq-devel-static

* Thu May 06 2004 Alexey Voinov <voins@altlinux.ru> 5.3-alt2
- rebuilt without unixODBC.

* Wed Apr 21 2004 Alexey Voinov <voins@altlinux.ru> 5.3-alt1
- new version (5.3)
- ImageMagick API changed. q compiled without magick module.
- url fixed

* Thu Mar 04 2004 Alexey Voinov <voins@altlinux.ru> 5.2-alt1
- new version (5.2)

* Sat Feb 21 2004 Alexey Voinov <voins@altlinux.ru> 5.1-alt1
- new version (5.1)

* Tue Feb 10 2004 Alexey Voinov <voins@altlinux.ru> 5.0-alt2
- split into multiply subpackages

* Mon Feb 09 2004 Alexey Voinov <voins@altlinux.ru> 5.0-alt1
- initial build

